import {inject, TestBed} from '@angular/core/testing';

import {NativeLibraryWrapperService} from './native-library-wrapper.service';

describe('NativeLibraryWrapperService', () => {
  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [NativeLibraryWrapperService]
    });
  });

  it('should be created', inject([NativeLibraryWrapperService], (service: NativeLibraryWrapperService) => {
    expect(service).toBeTruthy();
  }));

  it('should convert punycode', inject([NativeLibraryWrapperService], (service: NativeLibraryWrapperService) => {
    expect(service.punycode).toBeTruthy();
    expect(service.punycode.encode('bärneruhr')).toEqual('brneruhr-0za');
    expect(service.punycode.decode('brneruhr-0za')).toEqual('bärneruhr');
  }));

  it('should convert utf8', inject([NativeLibraryWrapperService], (service: NativeLibraryWrapperService) => {
    expect(service.utf8).toBeTruthy();
    expect(service.utf8.encode('bärneruhr')).toEqual('bÃ¤rneruhr');
    expect(service.utf8.decode('bÃ¤rneruhr')).toEqual('bärneruhr');
  }));

  it('should convert quoted printable', inject([NativeLibraryWrapperService], (service: NativeLibraryWrapperService) => {
    expect(service.quotedPrintable).toBeTruthy();
    expect(service.quotedPrintable.encode('bärneruhr')).toEqual('b=E4rneruhr');
    expect(service.quotedPrintable.decode('b=E4rneruhr')).toEqual('bärneruhr');
  }));
});
